=== debian/changelog ===
pitest (2.1.0-1+deb13+1) trixie; urgency=medium

  * Initial release for trixie

 -- Thomas Böhler <t.boehler@kunbus.com>  Mon, 08 Dec 2025 12:55:20 +0100
