## pitest 2.1.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 KUNBUS GmbH
#
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.7)

project(piTest LANGUAGES C)

include(GNUInstallDirs)

add_subdirectory(src)
add_subdirectory(doc)
